package com.lightinit.hsdataplatformresdir.mapper;

import com.lightinit.hsdataplatformresdir.entity.PublishSetting;
import com.lightinit.hsdataplatformresdir.entity.PublishSettingExample;
import java.util.List;

import com.lightinit.hsdataplatformresdir.model.admin.APIPublishSettingModel;
import org.apache.ibatis.annotations.Param;

public interface PublishSettingMapper {
    long countByExample(PublishSettingExample example);

    int deleteByExample(PublishSettingExample example);

    int deleteByPrimaryKey(Long id);

    int insert(PublishSetting record);

    int insertSelective(PublishSetting record);

    List<PublishSetting> selectByExampleWithBLOBs(PublishSettingExample example);

    List<PublishSetting> selectByExample(PublishSettingExample example);

    PublishSetting selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") PublishSetting record, @Param("example") PublishSettingExample example);

    int updateByExampleWithBLOBs(@Param("record") PublishSetting record, @Param("example") PublishSettingExample example);

    int updateByExample(@Param("record") PublishSetting record, @Param("example") PublishSettingExample example);

    int updateByPrimaryKeySelective(PublishSetting record);

    int updateByPrimaryKeyWithBLOBs(PublishSetting record);

    int updateByPrimaryKey(PublishSetting record);
    int deleteByPublishInfoId(Long id);
    List<APIPublishSettingModel> selectBypublishId(Long id);

    List<Long> selectPublishSettingByPublishInfoId(@Param("id") Long id);
}